#!/usr/bin/env zsh

unsetopt FUNCTION_ARGZERO

echo -n 'windows pass: '
read -s WIN_PASS
echo
echo -n 'sourceforge pass: '
read -s SF_PASS
echo

export WIN_PASS
export SF_PASS

run() {
    echo "$0: running \`$@'"
    $@ || exit
}

run ./configure --enable-thumbnail
run ./util/win_build.pl
run make -f GNUmakefile.dist dist-sf
run make -f GNUmakefile.dist dist-win-sf

(
    cd doc
    run make doc-update
    run cp apache.htm apache-win.htm /home/apache/mod_uploader/
);

echo -e "\033[1;32mOK\033[0m";
